<?php
Class Site{

    /*
     * Site Ayarlarına Erişme
     * 1 Parametre Alır. O da Ayar Adı*/
    public function site_ayarlari($par){
        global $db;
        $site_ayarlari = $db->select('site_ayarlari')
            ->where('ayarAdi',$par)
            ->run(true);
        return $site_ayarlari['ayarText'];
    }

    public function modul_ayarlari($par){
        global $db;
        $modul_ayarlari = $db->select('modul_ayarlari')
            ->where('id',1)
            ->run(true);
            return $modul_ayarlari[$par];
    }

    /*
     * Kategorileri Listeleme*/
    public function kategori_listele(){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $kategori_listele = $db->select('sayfalar')
            ->where('top',0)
            ->orderby('sira','ASC')
            ->where('sayfa_type',1)
            ->run();
        foreach($kategori_listele as $kategoriler){
            $dataList[$rowCount] = array('sayfa_baslik' => $kategoriler['sayfa_baslik'],'sayfa_seflink' => $kategoriler['sayfa_seflink'],'sayfa_id'  => $kategoriler['sayfa_id'],'aktifkontrol'  => $kategoriler['aktifkontrol']);
            $rowCount++;
        }
        return $dataList;
    }

    public function kategori_listele2($a){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $kategori_listele = $db->select('sayfalar')
            ->where('top',$a)
            ->run();
        foreach($kategori_listele as $kategoriler){
            $dataList[$rowCount] = array('sayfa_baslik' => $kategoriler['sayfa_baslik'],'sayfa_seflink' => $kategoriler['sayfa_seflink'],'sayfa_id'  => $kategoriler['sayfa_id'],'aktifkontrol'  => $kategoriler['aktifkontrol']);
            $rowCount++;
        }
        return $dataList;
    }

    /*
     * Kategoriye Göre Ürün Listeleme*/
    public function kategoriler_urun($gelen){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $urun_listele = $db->select('urunler')
            ->where('kategori_id',$gelen)
            ->orderby('urun_id','DESC')
            ->run();
        if($urun_listele){
            foreach($urun_listele as $urunler){
              date_default_timezone_set('Europe/Istanbul');
              $tarih = $urunler['tarih_zamanlama'];
              $saat = $urunler['saat_zamanlama'];
              if(strtotime($tarih." ".$saat)<time())
                {
                $dataList[$rowCount] = array(
                    'urun_baslik'         => $urunler['urun_baslik'],
					'urun_fiyat'          => $urunler['urun_fiyat'],
					'urun_seflink'          => $urunler['urun_seflink'],
                    'urun_resim'          => $urunler['urun_resim'],
                    'urun_tarih'          => $urunler['urun_tarih'],
                    'urun_okunma'         => $urunler['urun_okunma'],
                    'kategori_id'           => $urunler['kategori_id'],
                    'urun_id'             => $urunler['urun_id'],
                    'urun_seo_etiket'     => $urunler['urun_seo_etiket'],
                    'urun_seo_aciklama'   => $urunler['urun_seo_aciklama'],
                    'urun_text'           => $urunler['urun_text'],
                    'anasayfa_resim'      => $urunler['anasayfa_resim'],
                    'fiyat_goster'        => $urunler['fiyat_goster'],
					'urun_pdf'           => $urunler['urun_pdf'],
					'urun_video'           => $urunler['urun_video'],
                );
                $rowCount++;
            }}
        }else{
            echo '<center><br><br><br> <b><span style=font-size:30px; class=ylow> Henüz Kategoriye Ait Ürün Eklenmemiş!</span></b> <br><br><i class="fa fa-frown-o ylow" style=font-size:150px;> </i></center><br><br>';
        }
        return $dataList;
    }

    public function kategoriler_urun_matte($gelen){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $urun_listele = $db->select('urunler')
            ->where('kategori_id',$gelen)
            ->orderby('urun_id','DESC')
            ->run();
        if($urun_listele){
            foreach($urun_listele as $urunler){
                $dataList[$rowCount] = array(
                    'urun_baslik'         => $urunler['urun_baslik'],
					'urun_fiyat'          => $urunler['urun_fiyat'],
					'urun_seflink'          => $urunler['urun_seflink'],
                    'urun_resim'          => $urunler['urun_resim'],
                    'urun_tarih'          => $urunler['urun_tarih'],
                    'urun_okunma'         => $urunler['urun_okunma'],
                    'kategori_id'           => $urunler['kategori_id'],
                    'urun_id'             => $urunler['urun_id'],
                    'urun_seo_etiket'     => $urunler['urun_seo_etiket'],
                    'urun_seo_aciklama'   => $urunler['urun_seo_aciklama'],
                    'urun_text'           => $urunler['urun_text'],
                    'anasayfa_resim'      => $urunler['anasayfa_resim'],
                    'fiyat_goster'        => $urunler['fiyat_goster'],
					'urun_pdf'           => $urunler['urun_pdf'],
					'urun_video'           => $urunler['urun_video'],
                );
                $rowCount++;
            }
        }else{
            echo '<center><br><br><br> <b><span style=font-size:30px; class=ylow> Henüz Kategoriye Ait Ürün Eklenmemiş!</span></b> <br><br><i class="fa fa-frown-o ylow" style=font-size:150px;> </i></center><br><br>';
        }
        return $dataList;
    }

	    /*
     * Sayfaları Listeleme*/
    public function sayfa_listele(){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $sayfa_listele = $db->select('sayfalar')
            ->orderby('sira','ASC')
            ->where('sayfa_type',0)
            ->run();
        foreach($sayfa_listele as $sayfalar){
            $dataList[$rowCount] = array('sayfa_baslik' => $sayfalar['sayfa_baslik'],'sayfa_seflink' => $sayfalar['sayfa_seflink'],'sayfa_id'  => $sayfalar['sayfa_id'],'aktifkontrol'  => $sayfalar['aktifkontrol'] );
            $rowCount++;
        }
        return $dataList;
    }

	/* Hizmet Listeleme*/

  public function hizmetler_listele(){

        global $db;

        $dataList = array();

        $rowCount = 0;

        $hizmetler_listele = $db->select('sayfalar')
              ->orderby('sira','ASC')
            ->where('sayfa_type',2)

            ->run();

        foreach($hizmetler_listele as $hizmetler){

            $dataList[$rowCount] = array(
			'sayfa_baslik' => $hizmetler['sayfa_baslik'],
			'hizmeticon' => $hizmetler['hizmeticon'],
			'sayfa_text' => $hizmetler['sayfa_text'],
			'sayfa_seflink' => $hizmetler['sayfa_seflink'],
			'sayfa_id'  => $hizmetler['sayfa_id'],
      'aktifkontrol'  => $hizmetler['aktifkontrol']);

            $rowCount++;

        }

        return $dataList;

    }
/* Hizmet Listeleme*/


/* Hizmet 2 Listeleme*/

  public function hizmetler2_listele(){

        global $db;

        $dataList = array();

        $rowCount = 0;

        $hizmetler2_listele = $db->select('sayfalar')
            ->orderby('sira','ASC')
            ->where('sayfa_type',3)

            ->run();

        foreach($hizmetler2_listele as $hizmetler2){
          date_default_timezone_set('Europe/Istanbul');
          $tarih = $hizmetler2['tarih_zamanlama'];
          $saat = $hizmetler2['saat_zamanlama'];
          if(strtotime($tarih." ".$saat)<time())
            {
            $dataList[$rowCount] = array(
			'sayfa_baslik' => $hizmetler2['sayfa_baslik'],
			'hizmeticon' => $hizmetler2['hizmeticon'],
			'sayfa_text' => $hizmetler2['sayfa_text'],
			'sayfa_title' => $hizmetler2['sayfa_title'],
			'sayfa_aciklama' => $hizmetler2['sayfa_aciklama'],
			'sayfa_etiket' => $hizmetler2['sayfa_etiket'],
			'sayfa_seflink' => $hizmetler2['sayfa_seflink'],
      'aktifkontrol' => $hizmetler2['aktifkontrol'],
			'sayfa_id'  => $hizmetler2['sayfa_id']);

            $rowCount++;

        }}

        return $dataList;

    }
/* Hizmet Listeleme*/


/*

     * Eklenen Blog Listesi*/

    public function blog_listele(){

        global $db;

        $dataList = array();

        $rowCount = 0;

        $blog_listele = $db->select('blog')


			     //->LIMIT(0,2)

          ->orderby('sira','asc')


            ->run();

        foreach($blog_listele as $blog){

            $dataList[$rowCount] = array(
                'blog_baslik'         => $blog['blog_baslik'],
                'anasayfa_resim'          => $blog['anasayfa_resim'],
                'blog_tarih'          => $blog['blog_tarih'],
                'blog_okunma'         => $blog['blog_okunma'],
                'blog_id'             => $blog['blog_id'],
                'blog_seo_etiket'     => $blog['blog_seo_etiket'],
                'blog_seo_aciklama'   => $blog['blog_seo_aciklama'],
                'blog_text'           => $blog['blog_text'],
                'blog_seflink'        => $blog['blog_seflink'],
                'aktifkontrol'        => $blog['aktifkontrol'],
            );

            $rowCount++;


        }

        return $dataList;

    }

/*

     * Eklenen Blog Listesi*/

    public function blog_listele2(){

        global $db;

        $dataList = array();


        $rowCount = 0;

        $blog_listele2 = $db->select('blog')


            ->orderby('blog_id','DESC')


            ->run();

        foreach($blog_listele2 as $blog){
          date_default_timezone_set('Europe/Istanbul');
          if(tarihkarsilastir(date("Y-m-d"), $blog['tarih_zamanlama'])==0){
            if(tarihkarsilastir(date('H:i'), $blog["saat_zamanlama"])==0)
            {
            $dataList[$rowCount] = array(

                'blog_baslik'         => $blog['blog_baslik'],

                'anasayfa_resim'          => $blog['anasayfa_resim'],

                'blog_tarih'          => $blog['blog_tarih'],

                'blog_okunma'         => $blog['blog_okunma'],

                'blog_id'             => $blog['blog_id'],

                'blog_seo_etiket'     => $blog['blog_seo_etiket'],

                'blog_seo_aciklama'   => $blog['blog_seo_aciklama'],

                'blog_text'           => $blog['blog_text'],

                'blog_seflink'        => $blog['blog_seflink'],

            );

            $rowCount++;

          }
        }
        }


        return $dataList;

    }


	    /*

     * Eklenen blog Bilgileri

     * Değere Göre İşlem Yapılır*/

    public function blog($gelen,$par){

        global $db;

        $blog = $db->select('blog')

            ->where('blog_seflink',$gelen)

            ->run(true);

        return $blog[$par];

    }


    /*
     * Sayfa Ürünlerine Ulaşma*/
    public function sayfa($gelen,$par){
        global $db;
        $sayfa = $db->select('sayfalar')
            ->where('sayfa_seflink',$gelen)
            ->run(true);
        return $sayfa[$par];
    }
    public function sayfad($gelen,$par){
        global $db;
        $sayfa = $db->select('sayfalar')
            ->where('sayfa_id',$gelen)
            ->run(true);
        return $sayfa[$par];
    }



    /*
     * Eklenen Ürün Listesi*/
    public function urun_listele(){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $urun_listele = $db->select('urunler')
            ->orderby('sira','ASC')
            ->run();
        foreach($urun_listele as $urunler){
          date_default_timezone_set('Europe/Istanbul');
          $tarih = $urunler['tarih_zamanlama'];
          $saat = $urunler['saat_zamanlama'];
          if(strtotime($tarih." ".$saat)<time())
            {
            $dataList[$rowCount] = array(
                'urun_baslik'         => $urunler['urun_baslik'],
				'urun_fiyat'          => $urunler['urun_fiyat'],
                'urun_resim'          => $urunler['urun_resim'],
                'urun_tarih'          => $urunler['urun_tarih'],
                'urun_okunma'         => $urunler['urun_okunma'],
                'kategori_id'           => $urunler['kategori_id'],
                'urun_id'             => $urunler['urun_id'],
                'urun_seo_etiket'     => $urunler['urun_seo_etiket'],
                'urun_seo_aciklama'   => $urunler['urun_seo_aciklama'],
                'urun_text'           => $urunler['urun_text'],
                'anasayfa_resim'      => $urunler['anasayfa_resim'],
                'urun_seflink'        => $urunler['urun_seflink'],
                'fiyat_goster'        => $urunler['fiyat_goster'],
                'aktifkontrol'        => $urunler['aktifkontrol'],
            );
            $rowCount++;
        }}
        return $dataList;
    }

	/*
     * Eklenen Yeni (Anasayfa) Ürün Listesi*/
    public function urun_anasayfa_listele(){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $urun_listele = $db->select('urunler')
		->LIMIT(0,6)
            ->orderby('urun_id','DESC')
            ->run();
        foreach($urun_listele as $urunler){
            $dataList[$rowCount] = array(
                'urun_baslik'         => $urunler['urun_baslik'],
				'urun_fiyat'          => $urunler['urun_fiyat'],
                'urun_resim'          => $urunler['urun_resim'],
                'urun_tarih'          => $urunler['urun_tarih'],
                'urun_okunma'         => $urunler['urun_okunma'],
                'kategori_id'           => $urunler['kategori_id'],
                'urun_id'             => $urunler['urun_id'],
                'urun_seo_etiket'     => $urunler['urun_seo_etiket'],
                'urun_seo_aciklama'   => $urunler['urun_seo_aciklama'],
                'urun_text'           => $urunler['urun_text'],
                'urun_seflink'        => $urunler['urun_seflink'],
            );
            $rowCount++;
        }
        return $dataList;
    }


	    /* Eklenen Ürün Listesi*/
    public function benzerurunlistele(){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $benzerurunlistele = $db->select('urunler')
            ->orderby('urun_id','DESC')
			      ->LIMIT(0,4)
            ->run();
        foreach($benzerurunlistele as $urunler){
            $dataList[$rowCount] = array(
                'urun_baslik'         => $urunler['urun_baslik'],
				        'urun_fiyat'          => $urunler['urun_fiyat'],
                'urun_resim'          => $urunler['urun_resim'],
                'urun_tarih'          => $urunler['urun_tarih'],
                'urun_okunma'         => $urunler['urun_okunma'],
                'kategori_id'         => $urunler['kategori_id'],
                'urun_id'             => $urunler['urun_id'],
                'urun_seo_etiket'     => $urunler['urun_seo_etiket'],
                'urun_seo_aciklama'   => $urunler['urun_seo_aciklama'],
                'urun_text'           => $urunler['urun_text'],
                'anasayfa_resim'      => $urunler['anasayfa_resim'],
                'urun_seflink'        => $urunler['urun_seflink'],
                'fiyat_goster'        => $urunler['fiyat_goster'],
            );
            $rowCount++;
        }
        return $dataList;
    }



    /*
     * Eklenen Ürün Bilgileri
     * Değere Göre İşlem Yapılır*/
    public function urun($gelen,$par){
        global $db;
        $urun = $db->select('urunler')
            ->where('urun_seflink',$gelen)
            ->run(true);
        return $urun[$par];
    }

    /*
     * İletişime Geç Fonksiyonu*/
    public function iletisim($iletisim_adsoyad,$iletisim_email,$iletisim_konu,$iletisim_text){
        global $db;
        $iletisim = $db->insert('iletisim')
            ->set(array(
                'iletisim_adsoyad' => $iletisim_adsoyad,
                'iletisim_email'   => $iletisim_email,
                'iletisim_konu'    => $iletisim_konu,
                'iletisim_text'    => $iletisim_text,
                'iletisim_tarih'   => date('d/m/Y')
            ));
        if($iletisim){
          echo "<div>
              <script>alert('Tebrikler! Mesajınız Bize Ulaştı, En Kısa Sürede Size Geri Dönüş Yapılacaktır.')</script>
              <meta http-equiv='refresh' content='0; URL=javascript:history.back(-1)'></div>";
        }else{
            echo '<div>
                Hata! Lütfen Daha Sonra Tekrar Deneyiniz.
            </div>';
        }
    }

    /* Siarpis Geç Fonksiyonu */
    public function siparisler($siparisler_adsoyad,$siparisler_email,$siparisler_konu,$siparisler_text){
        global $db;
        $siparisler = $db->insert('siparisler')
            ->set(array(
                'siparisler_adsoyad' => $siparisler_adsoyad,
                'siparisler_email'   => $siparisler_email,
                'siparisler_konu'    => $siparisler_konu,
                'siparisler_text'    => $siparisler_text,
                'siparisler_tarih'   => date('d/m/Y')
            ));
        if($siparisler){
            echo "<div>
                <script>alert('Tebrikler! Siparişiniz Bize Ulaştı, En Kısa Sürede Size Geri Dönüş Yapılacaktır.')</script>
                <meta http-equiv='refresh' content='0; URL=javascript:history.back(-1)'></div>";
        }else{
            echo '<div>
                Hata! Lütfen Daha Sonra Tekrar Deneyiniz.
            </div>';
        }
    }

    /*
     * Foto Galeri Listeleme Fonksiyonu*/
    public function galeri(){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $galeri_listele = $db->select('galeri')
        ->orderby('sira','ASC')
            ->run();
        foreach($galeri_listele as $galeri){
            $dataList[$rowCount] = array('galeriBaslik' => $galeri['galeriBaslik'],'galeriResim' => $galeri['galeriResim'],'aktifkontrol' => $galeri['aktifkontrol']);
            $rowCount++;
        }
        return $dataList;
    }

	    /*
     * Foto markalar Listeleme Fonksiyonu*/
    public function markalar(){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $markalar_listele = $db->select('markalar')
        ->orderby('sira','ASC')
            ->run();
        foreach($markalar_listele as $markalar){
            $dataList[$rowCount] = array('markalarBaslik' => $markalar['markalarBaslik'],'markalarResim' => $markalar['markalarResim']);
            $rowCount++;
        }
        return $dataList;
    }

	    /*
     * Foto referans Listeleme Fonksiyonu*/
    public function referans(){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $referans_listele = $db->select('referans')
        ->orderby('sira','ASC')
            ->run();
        foreach($referans_listele as $referans){
            $dataList[$rowCount] = array('referansBaslik' => $referans['referansBaslik'],'referansURL' => $referans['referansURL'],'referansResim' => $referans['referansResim'],'aktifkontrol' => $referans['aktifkontrol']);
            $rowCount++;
        }
        return $dataList;
    }

    /*
     * Video Listeleme Fonksiyonu*/
    public function video(){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $video_listele = $db->select('video')
        ->orderby('sira','ASC')
            ->run();
        foreach($video_listele as $video){
            $dataList[$rowCount] = array('videoBaslik' => $video['videoBaslik'],'videoResim' => $video['videoResim'],'videoSeflink' => $video['videoSeflink'],'videoEmbed' => $video['videoEmbed'],'videoText' => $video['videoText'],'aktifkontrol' => $video['aktifkontrol']);
            $rowCount++;
        }
        return $dataList;
    }


    /*
     * personel Listeleme Fonksiyonu*/
    public function personel(){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $personel_listele = $db->select('personel')
        ->orderby('sira','asc')
            ->run();
        foreach($personel_listele as $personel){
            $dataList[$rowCount] = array('personelBaslik' => $personel['personelBaslik'],'personelResim' => $personel['personelResim'],'personelSeflink' => $personel['personelSeflink'],'personelEmbed' => $personel['personelEmbed'],'personelText' => $personel['personelText'],'aktifkontrol' => $personel['aktifkontrol']);
            $rowCount++;
        }
        return $dataList;
    }

    /*
     * Slider Resimleri Listeleme Fonksiyonu*/
    public function slider(){
        global $db;
        $dataList = array();
        $rowCount = 0;
        $slider_listele = $db->select('slider')
            ->orderby('sira','asc')
            ->run();

                  foreach($slider_listele as $slider){
                    date_default_timezone_set('Europe/Istanbul');
                    $tarih = $slider['tarih_zamanlama'];
                    $saat = $slider['saat_zamanlama'];
                    if(strtotime($tarih." ".$saat)<time())
                      {
                      $dataList[$rowCount] = array('sliderBaslik' => $slider['sliderBaslik'],'sliderResim' => $slider['sliderResim'],'baslik_goster' => $slider['baslik_goster'],'resim_goster' => $slider['resim_goster'] );
                      $rowCount++;
                  }}

        return $dataList;

    }

		    /*
     * hizmet Ürünlerine Ulaşma*/
    public function hizmetdetay($gelen,$par){
        global $db;
        $hizmetdetay = $db->select('sayfalar')
            ->where('sayfa_seflink',$gelen)
            ->run(true);
        return $hizmetdetay[$par];
    }

    public function tekilip($ip)
    {
      global $db;
      $ip_varmi = $db->select('tekil_sayac')
          ->where('ip',$ip)
          ->where('tarih',tarih(0,0,0,"Y-m-d"))
          ->from('count(id) as total')
          ->total();
      if($ip_varmi>0)
      {
      }
      else {
        $tekilsayac = $db->insert('tekil_sayac')
        ->set(array(
            'ip'    => $ip,
            'tarih'    => tarih(0,0,0,"Y-m-d")
          ));
      }
    }
function adminyetki($admin_id,$par)
{
  global $db;
  $kullanici = $db->select('admin')
      ->where('admin_id',$admin_id)
      ->run(true);
  return $kullanici[$par];
}



}


?>
